# Uses of Interface
org.opensaml.xacml.policy.SubjectsType

Packages that use SubjectsType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of SubjectsType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return SubjectsType
Modifier and Type
Method
Description
`SubjectsType`
TargetType.`getSubjects()`
Gets the subjects of this target.
Methods in org.opensaml.xacml.policy with parameters of type SubjectsType
Modifier and Type
Method
Description
`void`
TargetType.`setSubjects(SubjectsType subjects)`
Sets the subjects in the target.

## Uses of SubjectsType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement SubjectsType
Modifier and Type
Class
Description
`class`
`SubjectsTypeImpl`
Implementation of `SubjectsType`.
Fields in org.opensaml.xacml.policy.impl declared as SubjectsType
Modifier and Type
Field
Description
`private SubjectsType`
TargetTypeImpl.`subjects`
The subjects in the policy.
Methods in org.opensaml.xacml.policy.impl that return SubjectsType
Modifier and Type
Method
Description
`SubjectsType`
SubjectsTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`SubjectsType`
SubjectsTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`SubjectsType`
TargetTypeImpl.`getSubjects()`
Gets the subjects of this target.
Methods in org.opensaml.xacml.policy.impl with parameters of type SubjectsType
Modifier and Type
Method
Description
`void`
TargetTypeImpl.`setSubjects(SubjectsType newSubjects)`
Sets the subjects in the target.